<?php
	if (!empty($attributs["NOM"])){ $this->nom_lien = $attributs["NOM"]; $id=" id=\"$this->nom_lien\" ";}
	if (!empty($attributs["MINI"])) { $this->mini = $attributs["MINI"]; $a="<img src=\"$this->mini\" class=\"ico_download\" alt=\"icone\">"; }


	$format="<a ";
	$format .=(isset($attributs["HREF"]))?" href=\"".tep_url_link($attributs["HREF"])."\"" : " href=\"#\"" ;
	if (isset($attributs["TITLE"]))$format .=" title=\"".$attributs["TITLE"]."\"";
	if (isset($attributs["TARGET"]))$format .=" target=\"".$attributs["TARGET"]."\"";
	if (!empty($this->style))$format .=" style=\"".$this->style."\"";
	if (!empty($this->classe))$format .=" class=\"".$this->classe."\"";
	if (isset($attributs["REL"]))$format .=" rel=\"".$attributs["REL"]."\"";
	if (isset($this->onmouseover)) $format .=" ".$this->onmouseover;
	if (isset($this->onmouseout)) $format .=" ".$this->onmouseout;
	if (isset($this->onclick)) $format .=" onclick=\"".$this->onclick."\"";
	if (isset($this->onmouseup)) $format .=" ".$this->onmouseup;
	if (isset($this->onmousedown)) $format .=" ".$this->onmousedown;
	if (isset($this->onblur)) $format .=" ".$this->onblur;
	if (isset($this->js)) $format .=" ".$this->js;
	$format .=">";

	print($format);

	/* Chargement lib js*/
	if ( isset($this->classe) && eregi("(lightwindow)",$this->classe) ) {
		if (isset($CSS_AFTER_BODY) && !defined('LOAD_LIGHTWINDOW'))  define('LOAD_LIGHTWINDOW',true);
		else print "<script type='text/javascript'>initlightwindow();</script>";
	}
?>